#!/usr/bin/env python3

import sys
import time
import json
import requests
import argparse
import subprocess

#from requests.packages.urllib3.exceptions import InsecureRequestWarning
#requests.packages.urllib3.disable_warnings(InsecureRequestWarning)

parser = argparse.ArgumentParser()
parser.add_argument('-b', '--base-url', required=True)
parser.add_argument('-d', '--date', default="today")
args = parser.parse_args()

date = subprocess.check_output(['date','-d',args.date,'+%s'])
date = float(date)
date = time.localtime(date)
date = time.strftime(r'%Y-%m-%d', date)

url_template = 'https://{base_url}/rest/tempo-timesheets/3/worklogs?projectKey=PAS&dateFrom={date}&dateTo={date}&expand=issue.status'
url = url_template.format(base_url=args.base_url, date=date)

resp = requests.get(url, verify=False)
print(json.dumps(resp.json()))
